# Sync Job Run State Object

> Source: https://truto.one/docs/api-reference/admin/sync-job-run-state/

Schema for the `Sync Job Run State` resource in **Admin API**.

## Properties

- **`key`** _(string)_
  Key for this state entry. Unique within the namespace identified by `state_key`.
- **`value`** _(string)_
  The stored value. Encode structured data (for example, JSON) as a string before storing.
- **`sync_job_run_id`** _(string)_
  The ID of the sync job run that wrote this entry, if any.
- **`created_at`** _(string)_
  Time at which the state entry was first created.
- **`updated_at`** _(string)_
  Time at which the state entry was last updated.

## Methods

- [GET /sync-job-run-state](/docs/api-reference/admin/sync-job-run-state/list) — List sync job run states
- [POST /sync-job-run-state](/docs/api-reference/admin/sync-job-run-state/create) — Create sync job run state
- [GET /sync-job-run-state/{id}](/docs/api-reference/admin/sync-job-run-state/get) — Get sync job run state
- [PATCH /sync-job-run-state/{id}](/docs/api-reference/admin/sync-job-run-state/update) — Update sync job run state
- [DELETE /sync-job-run-state/{id}](/docs/api-reference/admin/sync-job-run-state/delete) — Delete sync job run state
